
Ruby - Bug #6283

Segmentation fault pg_ext.bundle

04/12/2012 01:42 PM - patrickberkeley (Patrick Berkeley)

Status: Closed   

Priority: Normal   

Assignee: sorah (Sorah Fukumori)   

Target version:    

ruby -v: ruby 1.9.3p125 (2012-02-16 revision

34643) [x86_64-darwin11.3.0]

Backport: 2.3: UNKNOWN, 2.4: UNKNOWN, 2.5:

UNKNOWN

Description

Steps to reproduce:

1. rvm reinstall 1.9.3 --with-openssl-dir=/usr/local

2. Install a Rails project that uses 1.9.3

3. rake -T

Result of ruby -v:

ruby 1.9.3p125 (2012-02-16 revision 34643) [x86_64-darwin11.3.0]

Expected outcome:

A list of available rake tasks.

Crashlog

https://gist.github.com/4af6b734324260df098a

Related issues:

Related to Ruby - Bug #6281: 1.9.3-p125 crashes when using therubyracer 0.9.10 Rejected 04/12/2012

Related to Ruby - Bug #7089: Rails server refuses to start Closed

History

#1 - 04/12/2012 02:36 PM - naruse (Yui NARUSE)

- Status changed from Open to Feedback

What is "a Rails project" ?

Anyway it seems Third Party's Issue.

#2 - 04/13/2012 09:57 AM - drbrain (Eric Hodel)

This ticket has roughly the same stack trace as #6281

#3 - 11/05/2012 08:58 PM - mame (Yusuke Endoh)

- Status changed from Feedback to Assigned

- Assignee set to sorah (Sorah Fukumori)

- Target version set to 2.0.0

I guess #7089 is the same cause.

#7089 has the console log which shows that an error occurred in "require".

#6283 has only the CrashReporter log, so I can't determine where an error occurred, but I guess that the point is "require", because OP just invoked

rake.

I guess that os x's pg_ext binary has something inconsistent.  Sorah, can you investigate this?

--

Yusuke Endoh mame@tsg.ne.jp

06/15/2025 1/2

https://gist.github.com/4af6b734324260df098a
https://bugs.ruby-lang.org/issues/6281
https://bugs.ruby-lang.org/issues/7089
https://bugs.ruby-lang.org/issues/7089
https://bugs.ruby-lang.org/issues/6283
mailto:mame@tsg.ne.jp


#4 - 02/18/2013 09:32 PM - mame (Yusuke Endoh)

- Target version changed from 2.0.0 to 2.6

#5 - 12/25/2017 06:15 PM - naruse (Yui NARUSE)

- Target version deleted (2.6)

#6 - 07/15/2019 05:05 AM - jeremyevans0 (Jeremy Evans)

- Status changed from Assigned to Closed
